Help Center


Important note for all NASes


Please note that the Sync version offered by the app store of your NAS vendor may be older than the latest version available through the Sync website. 

NAS packages require administrator privileges.    

If you encounter and technical problem not listed in this section, please, contact support.

 

 

Was the article helpful? Yes / No, send feedback on article Thanks!


Please note that we won't mail you back. This is just purely feedback on the article above. If you need help from our Support Team, please use the "Contact Support" link at the top of the page.